Name:          quartz16
Version:       1.6.6
Release:       %mkrel 1
Summary:       Quartz Enterprise Job Scheduler
Group:         Development/Java
URL:           http://www.opensymphony.com/quartz/
License:       ASL 2.0
Source0:       http://quartz-scheduler.org/files/releases/quartz-%{version}.zip
Source1:       quartz-%{version}-suppressions.xml
Source2:       quartz-%{version}.pom
Source3:       quartz-all-%{version}.pom
Patch0:        quartz-%{version}-checkstyle-ant.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-dbcp
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-modeler
BuildRequires: apache-commons-pool
BuildRequires: apache-commons-validator
BuildRequires: liblog4j-java
BuildRequires: servletapi5
BuildRequires: geronimo-ejb-3_1-api
BuildRequires: geronimo-jaf-1_1-api
BuildRequires: geronimo-jms
BuildRequires: geronimo-jta
BuildRequires: javamail
BuildRequires: junit

BuildRequires: guava

# JBoss package
#BuildRequires: jboss4-server
#BuildRequires: jboss4-jmx
#BuildRequires: jboss4-common
#BuildRequires: jboss4-system

Requires:      apache-commons-dbcp
Requires:      apache-commons-digester
Requires:      apache-commons-beanutils
Requires:      apache-commons-collections
Requires:      apache-commons-logging
Requires:      apache-commons-pool
Requires:      geronimo-ejb-3_1-api
Requires:      geronimo-jaf-1_1-api
Requires:      geronimo-jms
Requires:      geronimo-jta
Requires:      javamail
Requires:      liblog4j-java
Requires:      servletapi5

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Quartz is a job scheduling system that can be integrated with, or used
along side virtually any J2EE or J2SE application. Quartz can be used
to create simple or complex schedules for executing tens, hundreds, or
even tens-of-thousands of jobs; jobs whose tasks are defined as standard
Java components or EJBs.

%package demo
Group:         Development/Java
Summary:       Javadoc for %{name}

%description demo
Quartz Enterprise Job Scheduler.

This package contains javadoc for %{name}

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Quartz Enterprise Job Scheduler.

This package contains javadoc for %{name}

%package manual
Group:         Development/Java
Summary:       Manual for %{name}

%description manual
Quartz Enterprise Job Scheduler.

This package contains documents for %{name}

%prep

%setup -q -c
cp %{SOURCE1} suppressions.xml

find . -name "*.jar" -exec rm -f {} \;
pushd lib
  ln -sf $(build-classpath commons-beanutils) .
  ln -sf $(build-classpath commons-collections) .
  ln -sf $(build-classpath commons-dbcp) .
  ln -sf $(build-classpath commons-digester) .
  ln -sf $(build-classpath commons-logging) .
  ln -sf $(build-classpath commons-modeler) .
  ln -sf $(build-classpath commons-pool) .
  ln -sf $(build-classpath commons-validator) .
  ln -sf $(build-classpath geronimo-ejb-3.1-api) .
  ln -sf $(build-classpath geronimo-jaf-1.1-api) .
  ln -sf $(build-classpath geronimo-jms) .
  ln -sf $(build-classpath geronimo-jta) .
  ln -sf $(build-classpath servletapi5) .
  ln -sf $(build-classpath junit) .
  ln -sf $(build-classpath javamail/mail) .
  ln -sf $(build-classpath log4j) .
#  ln -sf $(build-classpath jboss4/jboss-common) .
#  ln -sf $(build-classpath jboss4/jboss-jmx) .
#  ln -sf $(build-classpath jboss4/jboss-system) .
#  ln -sf $(build-classpath jboss4/jboss) .
popd

mkdir -p opensymphony/trunk/common
cp osbuild.xml opensymphony/trunk/common
cp EMPTY.MF opensymphony/trunk/common

%{__perl} -pi -e 's/\r$//g' readme.txt license.txt $(find . -name '*.sh' -o -name '*.css' -o -name '*.xml*' -o -name package-list)

find . -name '*.sh' | xargs chmod 0755

%patch0 -b .sav0

%build

ant
cd examples
export CLASSPATH=$(build-classpath guava commons-beanutils commons-logging)
ant 

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/quartz-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar
install -m 644 build/quartz-all-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-all.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_to_maven_depmap opensymphony quartz %{version} JPP %{name}

install -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}-all.pom
%add_maven_depmap JPP-%{name}-all.pom %{name}-all.jar
%add_to_maven_depmap opensymphony quartz-all %{version} JPP %{name}-all

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}
rm -rf docs/api

install -m 644 examples/build/quartz-examples-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-examples.jar
rm -rf examples/build
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr examples/* %{buildroot}%{_datadir}/%{name}/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-all.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt readme.txt

%files demo
%{_javadir}/%{name}-examples.jar
%{_datadir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc docs/*


%changelog

* Thu Oct 20 2011 gil <gil> 1.6.6-1.mga2
+ Revision: 157018
- imported package quartz16

